package rip.tilly.bedwars.playerdata.currentgame;

import lombok.Data;
import org.bukkit.Material;
import org.bukkit.enchantments.Enchantment;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;
import rip.tilly.bedwars.BedWars;
import rip.tilly.bedwars.game.Game;
import rip.tilly.bedwars.game.GameTeam;
import rip.tilly.bedwars.generators.GeneratorTier;
import rip.tilly.bedwars.generators.GeneratorType;
import rip.tilly.bedwars.playerdata.PlayerData;
import rip.tilly.bedwars.upgrades.Upgrade;
import rip.tilly.bedwars.utils.CC;
import rip.tilly.bedwars.utils.ItemBuilder;

import java.util.HashMap;
import java.util.ListIterator;
import java.util.Map;
import java.util.UUID;

@Data
public class PlayerCurrentGameData {

    private BedWars main = BedWars.getInstance();

    private int gameKills;
    private int gameBedsDestroyed;

    private int pickaxeLevel = 0;
    private int axeLevel = 0;
    private boolean shears = false;
}
